logo
Welcome to our new AbleCommerce forums. As a guest, you may view the information here. To post to this forum, you must have a registered account with us, either as a new user evaluating AbleCommerce or an existing user of the application. For all questions related to the older version of Gold and earlier, please go to forums.ablecommerce.com. Please use your AbleCommerce username and password to Login. Forums Registration.

Notification

Icon
Error

Options
Go to last post Go to first unread
MikeR  
#1 Posted : Wednesday, May 22, 2019 10:59:17 AM(UTC)
MikeR

Rank: Advanced Member

Groups: Administrators, Developers, Registered, HelpDesk, System, Admin
Joined: 10/18/2018(UTC)
Posts: 117

Was thanked: 5 time(s) in 5 post(s)
Hello All,

Exciting news!

We just received preliminary approval for PCI certification. Once the paperwork is submitted, AC9 will have PA-DSS certification!! And since we are now using Wildcard versioning, we won't have to go through a re-certification for minor releases going forward.

This was the last major hurdle before a final release. We just need to get everything wrapped up, and make sure it's tested well before giving AC9 the label of final.

Thank you for your support!

Mike


Thank you for your support!
Mike Randolph
AbleCommerce.com

Wanna join the discussion?! Login to your AbleCommerce Forums forum account. Forums Registration.

SteveFeher  
#2 Posted : Wednesday, May 22, 2019 11:59:13 AM(UTC)
SteveFeher

Rank: Member

Groups: Developers, HelpDesk
Joined: 11/1/2018(UTC)
Posts: 20

Congrats Mike!
Happy to hear this great news -- the new AC9 is shaping up to be a solid product! Well done to you and the team!
MikeR  
#3 Posted : Wednesday, May 22, 2019 12:08:45 PM(UTC)
MikeR

Rank: Advanced Member

Groups: Administrators, Developers, Registered, HelpDesk, System, Admin
Joined: 10/18/2018(UTC)
Posts: 117

Was thanked: 5 time(s) in 5 post(s)
Hi Steve,

Thanks for the positive feedback. It's been a wish of mine for a long time that we make it so anyone can keep their site up to date without knowing HTML. This is a big step forward and once we start adding more widgets it will be even more functional.

Thank you for your support and feedback.

Kind Regards,
Mike
Thank you for your support!
Mike Randolph
AbleCommerce.com
jmadlin659322  
#4 Posted : Friday, June 14, 2019 1:00:35 PM(UTC)
jmadlin659322

Rank: Newbie

Groups: Authorized User, Developers
Joined: 11/29/2018(UTC)
Posts: 1

Will you be supporting Payment Services Directive (PSD2), as from 14 September 2019, PSD2 requires payments to be validated using Strong Customer Authentication? What is release schedule of R9 and will Gold R12 be getting this ability?

Thanks.
Jason.

From GlobalPaymnents today as an example.

Ecommerce Transactions
❗️ Payments made via a website require SCA. These transactions must now support 3D Secure, which is the ecommerce authentication protocol by the Card Schemes, such as Mastercard and Visa. This allows the cardholder to authenticate themselves at the genuine holder of the card. Under PSD2, card issuers are obliged to challenge and potentially decline transactions that don’t comply.

A new version of 3D Secure (3D Secure 2 – 3DS2) is being introduced to comply with new regulations and provide a better customer experience, more security for your business and a frictionless payment experience. Read our blog called 3D Secure 2 – A Beginner’s Guide on our website.


What do I need to do?
If you use our Global Payments E-Commerce Platform (previously Realex Payments), this will support 3DS2 from September 2019. You should have already received communications from us about the changes you need to make to comply with the new SCA requirements. If you’ve any questions about the changes or would like more information on our E-Commerce Platform, please email ecomsupport@globalpay.com.

If you use a third party provider for your ecommerce services, you need to review the way in which you accept card payments. Please speak to your solution provider to make sure your solution is up to date with all the flagging requirements and that they’re making changes for the SCA mandate. Our 3DS2 solution may be used alongside your existing gateway solution, if required. You can contact us on the email above for help with this.

Details of the technical requirements for SCA can be found on our website within our Customer Centre under the Strong Customer Authentication tile.
MikeR  
#5 Posted : Friday, June 14, 2019 1:10:14 PM(UTC)
MikeR

Rank: Advanced Member

Groups: Administrators, Developers, Registered, HelpDesk, System, Admin
Joined: 10/18/2018(UTC)
Posts: 117

Was thanked: 5 time(s) in 5 post(s)
Hello,

3ds is available as a plug-in from www.web2market.com, please reach out to them as to the available in V9. We've never gotten a lot of requests for this and I don't believe it's an active feature request. Doesn't really have anything to do with PCI Compliance.
Thank you for your support!
Mike Randolph
AbleCommerce.com
Users browsing this topic
Forum Jump  
You cannot post new topics in this forum.
You cannot reply to topics in this forum.
You cannot delete your posts in this forum.
You cannot edit your posts in this forum.
You cannot create polls in this forum.
You cannot vote in polls in this forum.